#ifndef _DISPLAY_H_INCLUDED
#define _DISPLAY_H_INCLUDED

/* QNT - display.h - Display class. */


#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include "buffer.h"


class Display
{
    HANDLE hConsoleOutput;
    SHORT rows, cols;
    WORD saveattr;
public:
    Display();
    ~Display();
    SHORT getheight() { return rows; }
    SHORT getwidth() { return cols; }
    void redraw( Buffer *, void (Buffer::*)( int, int, char * ) );
    void hilite( SHORT, SHORT, SHORT, SHORT );
    void drawstatus( char *, SHORT, SHORT );
    void message( const char * );
};

extern Display display;


#endif
