/* QNT - main.cpp - Main function and global data declarations. */


#include "buffer.h"
#include "display.h"
#include "keyboard.h"


Display display;
Keyboard keyboard;


int main( int argc, char *argv[] )
{
    Buffer *buffer = new Buffer;
    if( argc == 2 )
    {
        buffer->setname( argv[1] );
        buffer->load();
    }
    while( !buffer->getexitstatus() )
    {
        buffer->refresh();
        keyboard.poll( buffer );
    }
    delete buffer;
    return 0;
}
